<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.25.10.55
Name: Lab ACK - Acknowledgement Message
Description: 
         Technische bevestiging van een inkomend bericht. Dit bericht kan deze typen antwoorden bevatten: 
         
           
             MSA|1 = "CA" Inkomend bericht is goed ontvangen, het berichttype in MSH|9, de berichtversie in MSH|12 en de processing ID in MSH|11 zijn gecontroleerd en het inkomend bericht wordt aangeboden aan de inhoudelijke verwerking. Als hierom is gevraagd volgt op een later moment een inhoudelijke terugkoppeling op het inkomende bericht. 
             MSA|1 = "CE" Inkomend bericht is ontvangen, maar er is een probleem in een of meer van de velden MSH|9, MSH|12 of MSH|11 waardoor inhoudelijke verwerking niet mogelijk is. De details staan in het ERR segment. Herzenden van hetzelfde bericht heeft geen zin. 
             MSA|1 = "CR" Inkomend bericht kon niet goed worden ontvangen vanwege een intern probleem van tijdelijke aard. De details staan in het ERR segment. Stuur het bericht op een later moment opnieuw. 
           
         
      
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.25.10.55-2018-11-30T100013">
   <title>Lab ACK - Acknowledgement Message</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.55
Context: /hl7v2:ACK
Item: (ACK_Lab)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK" id="d41e19107-false-d1319909e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.55-2018-11-30T100013.html"
              test="count(hl7v2:MSH) &gt;= 1">(ACK_Lab): element hl7v2:MSH is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.55-2018-11-30T100013.html"
              test="count(hl7v2:MSH) &lt;= 1">(ACK_Lab): element hl7v2:MSH komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.55-2018-11-30T100013.html"
              test="count(hl7v2:MSA) &gt;= 1">(ACK_Lab): element hl7v2:MSA is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.55-2018-11-30T100013.html"
              test="count(hl7v2:MSA) &lt;= 1">(ACK_Lab): element hl7v2:MSA komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.55
Context: /hl7v2:ACK/hl7v2:MSH
Item: (ACK_Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.1) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.1) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.2) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.2) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.3) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.3) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.4) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.5) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.5) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.6) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.6 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.6) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.7) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.7 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.7) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.8) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.9) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.9 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.9) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.10) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.10 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.10) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.11) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.11) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.12) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.12 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.12) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.13) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.14) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.15) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.16) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.17) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.18) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.19) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.20) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.21) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.21 is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.1
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('1') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '1' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Field Separator') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Field Separator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.2
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('2') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '2' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Encoding Characters') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Encoding Characters' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3">
      <extends rule="d1320286e0-false-d1320292e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('3') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '3' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('HD') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70361') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70361' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Sending Application') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Sending Application' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d1320286e0-false-d1320292e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.3">
      <extends rule="d1320421e0-false-d1320427e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1320421e0-false-d1320427e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4">
      <extends rule="d1320479e0-false-d1320485e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('4') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '4' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('HD') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70362') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70362' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Sending Facility') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Sending Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d1320479e0-false-d1320485e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.3">
      <extends rule="d1320614e0-false-d1320620e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1320614e0-false-d1320620e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5">
      <extends rule="d1320672e0-false-d1320678e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('5') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '5' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('HD') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70361') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70361' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Receiving Application') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Receiving Application' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d1320672e0-false-d1320678e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.3">
      <extends rule="d1320807e0-false-d1320813e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1320807e0-false-d1320813e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6">
      <extends rule="d1320865e0-false-d1320871e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('6') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '6' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('HD') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70362') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70362' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Receiving Facility') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Receiving Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d1320865e0-false-d1320871e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.3">
      <extends rule="d1321000e0-false-d1321006e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321000e0-false-d1321006e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7">
      <extends rule="d1321052e0-false-d1321058e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('7') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '7' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('TS') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Date/Time Of Message') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Date/Time Of Message' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d1321052e0-false-d1321058e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.2">
      <extends rule="d1321140e0-false-d1321146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321140e0-false-d1321146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.8
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('8') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '8' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Security') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Security' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9">
      <extends rule="d1321232e0-false-d1321238e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('9') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '9' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('MSG') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'MSG' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Message Type') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Message Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.36
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9
Item: (MSG_datatype)
-->
   <rule fpi="RULC-1" id="d1321232e0-false-d1321238e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="count(hl7v2:MSG.1) &lt;= 1">(MSG_datatype): element hl7v2:MSG.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="count(hl7v2:MSG.2) &lt;= 1">(MSG_datatype): element hl7v2:MSG.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="count(hl7v2:MSG.3) &lt;= 1">(MSG_datatype): element hl7v2:MSG.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.36
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.1
Item: (MSG_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.1">
      <extends rule="d1321293e0-false-d1321299e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSG_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Table) = ('HL70076') or not(@Table)">(MSG_datatype): de waarde van Table MOET 'HL70076' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@LongName) = ('Message Code') or not(@LongName)">(MSG_datatype): de waarde van LongName MOET 'Message Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321293e0-false-d1321299e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.36
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.2
Item: (MSG_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.2">
      <extends rule="d1321344e0-false-d1321350e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSG_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Table) = ('HL70003') or not(@Table)">(MSG_datatype): de waarde van Table MOET 'HL70003' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@LongName) = ('Trigger Event') or not(@LongName)">(MSG_datatype): de waarde van LongName MOET 'Trigger Event' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321344e0-false-d1321350e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.36
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.3
Item: (MSG_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.3">
      <extends rule="d1321395e0-false-d1321401e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSG_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Table) = ('HL70354') or not(@Table)">(MSG_datatype): de waarde van Table MOET 'HL70354' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@LongName) = ('Message Structure') or not(@LongName)">(MSG_datatype): de waarde van LongName MOET 'Message Structure' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321395e0-false-d1321401e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.10
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('10') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '10' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Message Control ID') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Message Control ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11">
      <extends rule="d1321487e0-false-d1321493e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('11') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '11' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('PT') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'PT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Processing ID') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Processing ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.48
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11
Item: (PT_datatype)
-->
   <rule fpi="RULC-1" id="d1321487e0-false-d1321493e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="count(hl7v2:PT.1) &lt;= 1">(PT_datatype): element hl7v2:PT.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="count(hl7v2:PT.2) &lt;= 1">(PT_datatype): element hl7v2:PT.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.48
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.1
Item: (PT_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.1">
      <extends rule="d1321541e0-false-d1321547e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70103') or not(@Table)">(PT_datatype): de waarde van Table MOET 'HL70103' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Processing ID') or not(@LongName)">(PT_datatype): de waarde van LongName MOET 'Processing ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321541e0-false-d1321547e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.48
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.2
Item: (PT_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.2">
      <extends rule="d1321592e0-false-d1321598e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70207') or not(@Table)">(PT_datatype): de waarde van Table MOET 'HL70207' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Processing Mode') or not(@LongName)">(PT_datatype): de waarde van LongName MOET 'Processing Mode' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321592e0-false-d1321598e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12">
      <extends rule="d1321650e0-false-d1321656e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('12') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '12' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('VID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'VID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Version ID') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.69
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12
Item: (VID_datatype)
-->
   <rule fpi="RULC-1" id="d1321650e0-false-d1321656e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="text()='2.5'">(VID_datatype): de elementinhoud van hl7v2:MSH.12 MOET ''2.5'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="count(hl7v2:VID.1) &lt;= 1">(VID_datatype): element hl7v2:VID.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="count(hl7v2:VID.2) &lt;= 1">(VID_datatype): element hl7v2:VID.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="count(hl7v2:VID.3) &lt;= 1">(VID_datatype): element hl7v2:VID.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.69
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.1
Item: (VID_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.1">
      <extends rule="d1321717e0-false-d1321723e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(VID_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Table) = ('HL70104') or not(@Table)">(VID_datatype): de waarde van Table MOET 'HL70104' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@LongName) = ('Version ID') or not(@LongName)">(VID_datatype): de waarde van LongName MOET 'Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321717e0-false-d1321723e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.69
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2
Item: (VID_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2">
      <extends rule="d1321768e0-false-d1321774e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(VID_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(VID_datatype): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@LongName) = ('Internationalization Code') or not(@LongName)">(VID_datatype): de waarde van LongName MOET 'Internationalization Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d1321768e0-false-d1321774e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.3">
      <extends rule="d1321918e0-false-d1321924e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1321918e0-false-d1321924e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.6">
      <extends rule="d1322037e0-false-d1322043e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322037e0-false-d1322043e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.69
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3
Item: (VID_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3">
      <extends rule="d1322083e0-false-d1322089e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(VID_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@LongName) = ('International Version ID') or not(@LongName)">(VID_datatype): de waarde van LongName MOET 'International Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d1322083e0-false-d1322089e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.3">
      <extends rule="d1322233e0-false-d1322239e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322233e0-false-d1322239e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.6">
      <extends rule="d1322352e0-false-d1322358e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322352e0-false-d1322358e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.13
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('13') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '13' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('NM') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Sequence Number') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Sequence Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.13
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.14
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('14') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '14' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Continuation Pointer') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Continuation Pointer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.15
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.15">
      <extends rule="d1322491e0-false-d1322497e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('15') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '15' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70155') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70155' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Accept Acknowledgment Type') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Accept Acknowledgment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322491e0-false-d1322497e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.16
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.16">
      <extends rule="d1322548e0-false-d1322554e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('16') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '16' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70155') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70155' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Application Acknowledgment Type') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Application Acknowledgment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.16
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322548e0-false-d1322554e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.17
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.17">
      <extends rule="d1322611e0-false-d1322617e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('17') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '17' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.17
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322611e0-false-d1322617e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='NLD'">(ID_datatype): de elementinhoud van hl7v2:MSH.17 MOET ''NLD'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.18
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.18">
      <extends rule="d1322674e0-false-d1322680e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('692') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '692' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70211') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70211' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Character Set') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Character Set' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322674e0-false-d1322680e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19">
      <extends rule="d1322725e0-false-d1322731e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('693') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '693' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('CE') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Principal Language Of Message') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Principal Language Of Message' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d1322725e0-false-d1322731e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.3">
      <extends rule="d1322875e0-false-d1322881e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322875e0-false-d1322881e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.6">
      <extends rule="d1322994e0-false-d1323000e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1322994e0-false-d1323000e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.20
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.20">
      <extends rule="d1323052e0-false-d1323058e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('1317') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '1317' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70356') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70356' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Alternate Character Set Handling Scheme') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Alternate Character Set Handling Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.20
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1323052e0-false-d1323058e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21">
      <extends rule="d1323103e0-false-d1323109e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('1598') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '1598' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('EI') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Message Profile Identifier') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Message Profile Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d1323103e0-false-d1323109e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.4">
      <extends rule="d1323279e0-false-d1323285e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1323279e0-false-d1323285e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.55
Context: /hl7v2:ACK/hl7v2:MSA
Item: (ACK_Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.72
Context: /hl7v2:ACK/hl7v2:MSA
Item: (MSA_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="count(hl7v2:MSA.1) &gt;= 1">(MSA_segment): element hl7v2:MSA.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="count(hl7v2:MSA.1) &lt;= 1">(MSA_segment): element hl7v2:MSA.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="count(hl7v2:MSA.2) &gt;= 1">(MSA_segment): element hl7v2:MSA.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="count(hl7v2:MSA.2) &lt;= 1">(MSA_segment): element hl7v2:MSA.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="count(hl7v2:MSA.3) &lt;= 1">(MSA_segment): element hl7v2:MSA.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="count(hl7v2:MSA.4) &lt;= 1">(MSA_segment): element hl7v2:MSA.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="count(hl7v2:MSA.5) &lt;= 1">(MSA_segment): element hl7v2:MSA.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="count(hl7v2:MSA.6) &lt;= 1">(MSA_segment): element hl7v2:MSA.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.72
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.1
Item: (MSA_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.1">
      <extends rule="d1323413e0-false-d1323419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Item) = ('18') or not(@Item)">(MSA_segment): de waarde van Item MOET '18' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSA_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Table) = ('HL70008') or not(@Table)">(MSA_segment): de waarde van Table MOET 'HL70008' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@LongName) = ('Acknowledgment Code') or not(@LongName)">(MSA_segment): de waarde van LongName MOET 'Acknowledgment Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1323413e0-false-d1323419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.72
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.2
Item: (MSA_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Item) = ('10') or not(@Item)">(MSA_segment): de waarde van Item MOET '10' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSA_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@LongName) = ('Message Control ID') or not(@LongName)">(MSA_segment): de waarde van LongName MOET 'Message Control ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.72
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.3
Item: (MSA_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Item) = ('20') or not(@Item)">(MSA_segment): de waarde van Item MOET '20' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSA_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@LongName) = ('Text Message') or not(@LongName)">(MSA_segment): de waarde van LongName MOET 'Text Message' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.72
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.4
Item: (MSA_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Item) = ('21') or not(@Item)">(MSA_segment): de waarde van Item MOET '21' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MSA_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Sequence Number') or not(@LongName)">(MSA_segment): de waarde van LongName MOET 'Expected Sequence Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.72
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.5
Item: (MSA_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.5">
      <extends rule="d1323584e0-false-d1323590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Item) = ('22') or not(@Item)">(MSA_segment): de waarde van Item MOET '22' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSA_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@LongName) = ('Delayed Acknowledgment Type') or not(@LongName)">(MSA_segment): de waarde van LongName MOET 'Delayed Acknowledgment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1323584e0-false-d1323590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.72
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6
Item: (MSA_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6">
      <extends rule="d1323641e0-false-d1323647e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Item) = ('23') or not(@Item)">(MSA_segment): de waarde van Item MOET '23' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(MSA_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@Table) = ('HL70357') or not(@Table)">(MSA_segment): de waarde van Table MOET 'HL70357' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.72-2013-02-10T000000.html"
              test="string(@LongName) = ('Error Condition') or not(@LongName)">(MSA_segment): de waarde van LongName MOET 'Error Condition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d1323641e0-false-d1323647e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.3">
      <extends rule="d1323791e0-false-d1323797e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1323791e0-false-d1323797e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.6">
      <extends rule="d1323910e0-false-d1323916e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:MSA/hl7v2:MSA.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1323910e0-false-d1323916e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.55
Context: /hl7v2:ACK/hl7v2:ERR
Item: (ACK_Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="count(hl7v2:ERR.3) &gt;= 1">(ERR_segment): element hl7v2:ERR.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="count(hl7v2:ERR.3) &lt;= 1">(ERR_segment): element hl7v2:ERR.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="count(hl7v2:ERR.4) &gt;= 1">(ERR_segment): element hl7v2:ERR.4 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="count(hl7v2:ERR.4) &lt;= 1">(ERR_segment): element hl7v2:ERR.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="count(hl7v2:ERR.5) &lt;= 1">(ERR_segment): element hl7v2:ERR.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="count(hl7v2:ERR.7) &lt;= 1">(ERR_segment): element hl7v2:ERR.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="count(hl7v2:ERR.8) &lt;= 1">(ERR_segment): element hl7v2:ERR.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="count(hl7v2:ERR.10) &lt;= 1">(ERR_segment): element hl7v2:ERR.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1">
      <extends rule="d1324050e0-false-d1324056e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('24') or not(@Item)">(ERR_segment): de waarde van Item MOET '24' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('ELD') or not(@Type)">(ERR_segment): de waarde van Type MOET 'ELD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Error Code and Location') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Error Code and Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.23
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1
Item: (ELD_datatype)
-->
   <rule fpi="RULC-1" id="d1324050e0-false-d1324056e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="count(hl7v2:ELD.1) &lt;= 1">(ELD_datatype): element hl7v2:ELD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="count(hl7v2:ELD.2) &lt;= 1">(ELD_datatype): element hl7v2:ELD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="count(hl7v2:ELD.3) &lt;= 1">(ELD_datatype): element hl7v2:ELD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="count(hl7v2:ELD.4) &lt;= 1">(ELD_datatype): element hl7v2:ELD.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.23
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.1
Item: (ELD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(ELD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@LongName) = ('Segment ID') or not(@LongName)">(ELD_datatype): de waarde van LongName MOET 'Segment ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.23
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.2
Item: (ELD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(ELD_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@LongName) = ('Segment Sequence') or not(@LongName)">(ELD_datatype): de waarde van LongName MOET 'Segment Sequence' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.23
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.3
Item: (ELD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(ELD_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@LongName) = ('Field Position') or not(@LongName)">(ELD_datatype): de waarde van LongName MOET 'Field Position' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.23
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4
Item: (ELD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4">
      <extends rule="d1324220e0-false-d1324226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(ELD_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@Table) = ('HL70357') or not(@Table)">(ELD_datatype): de waarde van Table MOET 'HL70357' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.23-2013-02-10T000000.html"
              test="string(@LongName) = ('Code Identifying Error') or not(@LongName)">(ELD_datatype): de waarde van LongName MOET 'Code Identifying Error' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d1324220e0-false-d1324226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.3">
      <extends rule="d1324370e0-false-d1324376e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1324370e0-false-d1324376e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.6">
      <extends rule="d1324489e0-false-d1324495e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.1/hl7v2:ELD.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1324489e0-false-d1324495e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2">
      <extends rule="d1324542e0-false-d1324548e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1812') or not(@Item)">(ERR_segment): de waarde van Item MOET '1812' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('ERL') or not(@Type)">(ERR_segment): de waarde van Type MOET 'ERL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Error Location') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Error Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.24
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2
Item: (ERL_datatype)
-->
   <rule fpi="RULC-1" id="d1324542e0-false-d1324548e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="count(hl7v2:ERL.1) &lt;= 1">(ERL_datatype): element hl7v2:ERL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="count(hl7v2:ERL.2) &lt;= 1">(ERL_datatype): element hl7v2:ERL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="count(hl7v2:ERL.3) &lt;= 1">(ERL_datatype): element hl7v2:ERL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="count(hl7v2:ERL.4) &lt;= 1">(ERL_datatype): element hl7v2:ERL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="count(hl7v2:ERL.5) &lt;= 1">(ERL_datatype): element hl7v2:ERL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="count(hl7v2:ERL.6) &lt;= 1">(ERL_datatype): element hl7v2:ERL.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.24
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.1
Item: (ERL_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(ERL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@LongName) = ('Segment ID') or not(@LongName)">(ERL_datatype): de waarde van LongName MOET 'Segment ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.24
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.2
Item: (ERL_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(ERL_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@LongName) = ('Segment Sequence') or not(@LongName)">(ERL_datatype): de waarde van LongName MOET 'Segment Sequence' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.24
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.3
Item: (ERL_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(ERL_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@LongName) = ('Field Position') or not(@LongName)">(ERL_datatype): de waarde van LongName MOET 'Field Position' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.24
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.4
Item: (ERL_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(ERL_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@LongName) = ('Field Repetition') or not(@LongName)">(ERL_datatype): de waarde van LongName MOET 'Field Repetition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.24
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.5
Item: (ERL_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(ERL_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@LongName) = ('Component Number') or not(@LongName)">(ERL_datatype): de waarde van LongName MOET 'Component Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.24
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.6
Item: (ERL_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(ERL_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.24-2013-02-10T000000.html"
              test="string(@LongName) = ('Sub-Component Number') or not(@LongName)">(ERL_datatype): de waarde van LongName MOET 'Sub-Component Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.2/hl7v2:ERL.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3">
      <extends rule="d1324835e0-false-d1324841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1813') or not(@Item)">(ERR_segment): de waarde van Item MOET '1813' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ERR_segment): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70357') or not(@Table)">(ERR_segment): de waarde van Table MOET 'HL70357' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('HL7 Error Code') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'HL7 Error Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d1324835e0-false-d1324841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.3">
      <extends rule="d1325006e0-false-d1325012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1325006e0-false-d1325012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.6">
      <extends rule="d1325125e0-false-d1325131e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1325125e0-false-d1325131e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.3/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.4
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.4">
      <extends rule="d1325285e0-false-d1325291e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1814') or not(@Item)">(ERR_segment): de waarde van Item MOET '1814' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(ERR_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70516') or not(@Table)">(ERR_segment): de waarde van Table MOET 'HL70516' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Severity') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Severity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1325285e0-false-d1325291e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5">
      <extends rule="d1325342e0-false-d1325348e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1815') or not(@Item)">(ERR_segment): de waarde van Item MOET '1815' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ERR_segment): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70533') or not(@Table)">(ERR_segment): de waarde van Table MOET 'HL70533' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Application Error Code') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Application Error Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d1325342e0-false-d1325348e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.3">
      <extends rule="d1325513e0-false-d1325519e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1325513e0-false-d1325519e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.6">
      <extends rule="d1325632e0-false-d1325638e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1325632e0-false-d1325638e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.5/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.6
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1816') or not(@Item)">(ERR_segment): de waarde van Item MOET '1816' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(ERR_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Application Error Parameter') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Application Error Parameter' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1817') or not(@Item)">(ERR_segment): de waarde van Item MOET '1817' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(ERR_segment): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnostic Information') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Diagnostic Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.7/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1818') or not(@Item)">(ERR_segment): de waarde van Item MOET '1818' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(ERR_segment): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('User Message') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'User Message' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.8/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.9
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1819') or not(@Item)">(ERR_segment): de waarde van Item MOET '1819' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(ERR_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70517') or not(@Table)">(ERR_segment): de waarde van Table MOET 'HL70517' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Inform Person Indicator') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Inform Person Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10">
      <extends rule="d1326118e0-false-d1326124e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1820') or not(@Item)">(ERR_segment): de waarde van Item MOET '1820' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ERR_segment): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70518') or not(@Table)">(ERR_segment): de waarde van Table MOET 'HL70518' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Override Type') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Override Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d1326118e0-false-d1326124e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.3">
      <extends rule="d1326289e0-false-d1326295e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1326289e0-false-d1326295e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.6">
      <extends rule="d1326408e0-false-d1326414e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1326408e0-false-d1326414e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11">
      <extends rule="d1326568e0-false-d1326574e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1821') or not(@Item)">(ERR_segment): de waarde van Item MOET '1821' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ERR_segment): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70519') or not(@Table)">(ERR_segment): de waarde van Table MOET 'HL70519' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Override Reason Code') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Override Reason Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d1326568e0-false-d1326574e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.3">
      <extends rule="d1326739e0-false-d1326745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1326739e0-false-d1326745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.6">
      <extends rule="d1326858e0-false-d1326864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1326858e0-false-d1326864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.11/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.44
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12
Item: (ERR_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12">
      <extends rule="d1327012e0-false-d1327018e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Item) = ('1822') or not(@Item)">(ERR_segment): de waarde van Item MOET '1822' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(ERR_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Help Desk Contact Point') or not(@LongName)">(ERR_segment): de waarde van LongName MOET 'Help Desk Contact Point' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d1327012e0-false-d1327018e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.2">
      <extends rule="d1327170e0-false-d1327176e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1327170e0-false-d1327176e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.3">
      <extends rule="d1327221e0-false-d1327227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d1327221e0-false-d1327227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:ACK/hl7v2:ERR/hl7v2:ERR.12/hl7v2:XTN.12
Item: (ST_datatype)
-->
</pattern>
